Configuring OTB

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Configuring OTB

pcav
Hi all.
I'm now testing the deb packaging of new (4.0) OTB. I keep on getting an error:

OTB execution console output
/usr/bin/otbApplicationLauncherCommandLine: error while loading shared libraries:
libOTBWrapperCommandLine.so.4.0: cannot open shared object file: No such file or
directory

What are the dir to add to config? More generally, which files should I look for?
I have:
/usr/lib/otb/libOTBWrapperCommandLine.so.4.0
Thanks.
--
Paolo Cavallini - www.faunalia.eu
Corsi QGIS e PostGIS: http://www.faunalia.eu/training.html
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Configuring OTB

pcav
Il 04/08/2014 18:57, Paolo Cavallini ha scritto:

> Hi all.
> I'm now testing the deb packaging of new (4.0) OTB. I keep on getting an error:
>
> OTB execution console output
> /usr/bin/otbApplicationLauncherCommandLine: error while loading shared libraries:
> libOTBWrapperCommandLine.so.4.0: cannot open shared object file: No such file or
> directory
>
> What are the dir to add to config? More generally, which files should I look for?
> I have:
> /usr/lib/otb/libOTBWrapperCommandLine.so.4.0
> Thanks.
>
BTW, this does not work:
http://docs.qgis.org/2.2/en/docs/user_manual/processing/3rdParty.html#orfeo-toolbox
--
Paolo Cavallini - www.faunalia.eu
Corsi QGIS e PostGIS: http://www.faunalia.eu/training.html
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Configuring OTB

Giovanni Manghi-2
In reply to this post by pcav
> Il 04/08/2014 18:57, Paolo Cavallini ha scritto:
>> Hi all.
>> I'm now testing the deb packaging of new (4.0) OTB. I keep on getting an error:
>>
>> OTB execution console output
>> /usr/bin/otbApplicationLauncherCommandLine: error while loading shared libraries:
>> libOTBWrapperCommandLine.so.4.0: cannot open shared object file: No such file or
>> directory
>>
>> What are the dir to add to config? More generally, which files should I look for?
>> I have:
>> /usr/lib/otb/libOTBWrapperCommandLine.so.4.0


on Ubuntu 14.04 it works without issues (and no need for any
configuration in Processing options).

cheers!

-- G --
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Configuring OTB

pcav
Il 05/08/2014 14:11, Giovanni Manghi ha scritto:

> on Ubuntu 14.04 it works without issues (and no need for any
> configuration in Processing options).

which versions?
thanks.
--
Paolo Cavallini - www.faunalia.eu
Corsi QGIS e PostGIS: http://www.faunalia.eu/training.html
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Configuring OTB

Giovanni Manghi-2
In reply to this post by pcav
> which versions?


qgis 2.4, OTB 4 (both from Ubuntugis I guess).

-- G --
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: Configuring OTB [+ SAGA]

pcav
In reply to this post by pcav
Il 04/08/2014 19:06, Paolo Cavallini ha scritto:

> Il 04/08/2014 18:57, Paolo Cavallini ha scritto:
>> Hi all.
>> I'm now testing the deb packaging of new (4.0) OTB. I keep on getting an error:
>>
>> OTB execution console output
>> /usr/bin/otbApplicationLauncherCommandLine: error while loading shared libraries:
>> libOTBWrapperCommandLine.so.4.0: cannot open shared object file: No such file or
>> directory
>>
>> What are the dir to add to config? More generally, which files should I look for?
>> I have:
>> /usr/lib/otb/libOTBWrapperCommandLine.so.4.0
>> Thanks.
>>
> BTW, this does not work:
> http://docs.qgis.org/2.2/en/docs/user_manual/processing/3rdParty.html#orfeo-toolbox
>
Thanks Giovanni. I tried again on 2.4 and a clean --configpath, and I get the same error.
Problems also with saga: I had to enable 2.1, but then I get the error:

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so
library name: Import/Export - GDAL/OGR
tool name : GDAL: Export Raster
author : O.Conrad (c) 2007
_____________________________________________

Load grid: /tmp/processing/e0e6e3d436cf4dea9f62b497369a9ede/VCURV.tif.sgrd...
failed
GDAL: Export Raster: could not initialize data objects

All the best.
--
Paolo Cavallini - www.faunalia.eu
Corsi QGIS e PostGIS: http://www.faunalia.eu/training.html
_______________________________________________
Qgis-developer mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/qgis-developer